# パッケージの読み込み
library(tidyverse)
library(rpart)
# ファイルの読み込み
s1 <- read_csv("rpart.csv")
head(s1)
# 分類木
s2 <- rpart(score ~ age + gender + trial,
              data=s1,method="class")
s2
# 別の方法
s3 <- rpart(score ~., data=s1,method="class")
s4 <- s1[,-1]
# 
s5 <- rpart(score ~., data=s4,method="class")
s2
# グラフの作成
library(rpart.plot) 
rpart.plot(s2,　box.palette = "Greys")
