w1 <- read_csv("fac01.csv")
head(w1)
w2 <- cor(w1[,-1])
w2
y <- eigen(w2)$values
x <- 1:length(y)
ggplot()+geom_point(aes(x=x,y=y) )+
   geom_line(aes(x=x,y=y))+
   geom_hline(yintercept = 1)

w5 <- factanal(w1[,-1],2,rotation="none") 
w5
w6 <- as_tibble(w5$loadings[1:5,1:2])
w6 <- w6 %>% mutate(subject=rownames(w5$loadings))
ggplot(w6,aes(x=Factor1,y=Factor2) )+geom_point()+
  geom_text(aes(label=subject),vjust=-1 )+ 
  ylim(-0.9,0.9) 

w7 <- factanal(w1[,-1],2,rotation="varimax") 
w7
w8 <- as_tibble(w7$loadings[1:5,1:2])
w8 <- w8 %>% mutate(subject=rownames(w7$loadings))
ggplot(w8,aes(x=Factor1,y=Factor2) )+geom_point()+
  geom_text(aes(label=subject),vjust=-1 )+ 
  ylim(-0.2,0.9) 

w3 <- factanal(w1[,-1],2,rotation="promax") 
w3
w4 <- as_tibble(w3$loadings[1:5,1:2])
w4 <- w4 %>% mutate(subject=rownames(w3$loadings))
ggplot(w4,aes(x=Factor1,y=Factor2) )+geom_point()+
  geom_text(aes(label=subject),vjust=-1 )+ 
  ylim(-0.2,0.9) 