library(rpart)
rp_t <- rpart(data=t0, cl_t ~ x + y, method="class")
rp_t
library(rpart.plot)
rpart.plot(rp_t)

rp_test <- predict(rp_t, newdata=test,  type="class")   #predict で予測。 type でclass を指定。
ggplot(test,aes(x=x,y=y)) +
     geom_point(aes(color=rp_test),size=1)+
     geom_segment(x=rp_t$splits[1,4],y=-2,xend=rp_t$splits[1,4],yend=2)+
  geom_segment(x=-2,y= rp_t$splits[4,4],xend=rp_t$splits[1,4],yend= rp_t$splits[4,4])+
   geom_segment(x=2,y=rp_t$splits[7,4],xend=rp_t$splits[1,4],yend=rp_t$splits[7,4])+
  scale_colour_manual(values=c("black","green","blue","red"))