library(nnet)
t1 <- t0 %>% mutate(cl_t = as.factor(cl_t) ) 
nn_t <- nnet(data=t1, cl_t ~ x+y, size=2)
nn_test <- predict(nn_t, newdata=test, type="class")  
ggplot(test,aes(x=x,y=y)) +geom_point(aes(color=nn_test))+
  scale_colour_manual(values=c("black","green","blue","red"))