#パッケージの読み込み
library(tidyverse)
library(arules)
#データの読み込み
data(Groceries)
#名前の変更
#形式の変更
g1 <- as(g0,"data.frame") 
head(g1)
g2 <- as(g0,"matrix")
head(g2)
#別の方法
#g0  %>%  head()  %>%  as("data.frame")
# ファイルへの書き込み
g0 %>% write("g0.csv",sep=",") 
#アイテムの頻度
g3 <- itemFrequency( g0) 
head(g3)
head(sort(g3) )
head(sort(g3,d=T) )
#アイテムの頻度
g4 <- itemFrequency( g0,  type="absolute") 
head(sort(g4) )
#itemFrequency( g0,  type="absolute")%>% head()
#アソシエーション分析の実行
grules1  <- apriori(g0)
#ヘルプを見る
?apriori
#アソシエーション分析の実行（パラメータの変更）
grules2  <- apriori(g0,p=list(support=0.01,confidence=0.5))
#ルールを見る
inspect(grules2)
#ルールの並べ替え
sort(grules2) %>% sort(by="confidence") %>% head() %>% inspect()
sort(grules2) %>% sort(by="lift") %>% head() %>% inspect()
#アソシエーション分析の実行（パラメータの変更）
grules3  <- apriori(g0,p=list(support=0.005,confidence=0.5) )
#ルールの並べ替え
sort(grules3) %>% sort(by="confidence") %>% head() %>% inspect()
#




ルールの並べ替え
sort(grules3) %>% sort(by="lift") %>% head() %>% inspect()