library(tidyverse)
set.seed(0)
true_a = 2
true_b = 3
x1 <- runif(100)
x2 <- rnorm(100,mean=0,sd=1)
y1 <- true_a*x1+ true_b + x2
w <- lm(y1~x1)
w
summary(w)
ggplot() + geom_point(aes(x=x1, y=y1) ) +
  geom_abline(aes(intercept= w$coefficient[1], slope = w$coefficient[2]) )	
