library(tidyverse)
set.seed(38)
sigma <- 0.25
ca <- tibble(
  x=rnorm(50,1,sigma),
  y=rnorm(50,1,sigma),
  cl_t="A")
cb <- tibble(
  x=rnorm(50,-1,sigma),
  y=rnorm(50,1,sigma),
  cl_t="B")
cc <- tibble(
  x=rnorm(50,-1,sigma),
  y=rnorm(50,-1,sigma),
  cl_t="C")
cd <- tibble(
  x=rnorm(50,1,sigma),
  y=rnorm(50,-1,sigma),
  cl_t="D")
t0 <-rbind(ca,cb,cc,cd)
ggplot(t0,aes(x=x,y=y,color=cl_t))+geom_point()
k0 <- t0 %>% select(x,y) %>% kmeans(centers = 4)
k0
t0 %<>% mutate(cl_k=factor(k0$cluster,
                           label=c("A","B","C","D"),
                           levels=c(4,2,1,3) ) )
t0 %>% select(cl_t,cl_k) %>% table()

library(tidyverse)
set.seed(38)
sigma <- 0.5
ca <- tibble(
  x=rnorm(50,1,sigma),
  y=rnorm(50,1,sigma),
  cl_t="A")
cb <- tibble(
  x=rnorm(50,-1,sigma),
  y=rnorm(50,1,sigma),
  cl_t="B")
cc <- tibble(
  x=rnorm(50,-1,sigma),
  y=rnorm(50,-1,sigma),
  cl_t="C")
cd <- tibble(
  x=rnorm(50,1,sigma),
  y=rnorm(50,-1,sigma),
  cl_t="D")
t0 <-rbind(ca,cb,cc,cd)
ggplot(t0,aes(x=x,y=y,color=cl_t))+geom_point()
k0 <- t0 %>% select(x,y) %>% kmeans(centers = 4)
k0
t0 %<>% mutate(cl_k=factor(k0$cluster,
                           label=c("A","B","C","D"),
                           levels=c(4,2,1,3) ) )
t0 %>% select(cl_t,cl_k) %>% table()